package org.jeecg.modules.ctop.service.impl;

import org.apache.shiro.SecurityUtils;
import org.jeecg.common.system.vo.LoginUser;
import org.jeecg.modules.ctop.entity.ByteDanceAdvertiser;
import org.jeecg.modules.ctop.entity.ByteDanceBudgetTemplate;
import org.jeecg.modules.ctop.entity.CTopOauthToken;
import org.jeecg.modules.ctop.mapper.ByteDanceAdvertiserMapper;
import org.jeecg.modules.ctop.mapper.ByteDanceBudgetTemplateMapper;
import org.jeecg.modules.ctop.service.IByteDanceAdvertiserBudgetService;
import org.jeecg.modules.ctop.service.IByteDanceAdvertiserService;
import org.jeecg.modules.ctop.service.IByteDanceBudgetTemplateService;
import org.jeecg.modules.ctop.service.ICTopOauthTokenService;
import org.omg.CORBA.OBJ_ADAPTER;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.HashMap;
import java.util.Map;

/**
 * @Description: 今日头条预算模板信息
 * @Author: jeecg-boot
 * @Date: 2019-07-22
 * @Version: V1.0
 */
@Service
public class ByteDanceBudgetTemplateServiceImpl extends ServiceImpl<ByteDanceBudgetTemplateMapper, ByteDanceBudgetTemplate> implements IByteDanceBudgetTemplateService {

    @Override
    public Map<String, Object> insertTemplate(ByteDanceBudgetTemplate template) {
        Map<String, Object> resultMap = new HashMap<>();
        LoginUser user = (LoginUser) SecurityUtils.getSubject().getPrincipal();
        CTopOauthToken token = tokenService.getOAuthTokenByAccountId(user.getId());
        template.setAdvertiserId(token.getAdvertiserId());
        template.setToutiaoId(token.getAccountId());
        template.setStatus(1);
        template.setStartDate(template.getStartDate().substring(0, 10));
        template.setEndDate(template.getEndDate().substring(0, 10));
        budgetTemplateMapper.insert(template);
        resultMap.put("success", true);
        resultMap.put("message", "模板保存成功");
        return resultMap;
    }

    @Autowired
    private ICTopOauthTokenService tokenService;
    @Autowired
    private ByteDanceBudgetTemplateMapper budgetTemplateMapper;
}
