package org.jeecg.modules.ctop.service.impl;

import org.apache.shiro.SecurityUtils;
import org.jeecg.common.system.vo.LoginUser;
import org.jeecg.modules.ctop.entity.ByteDanceCampaign;
import org.jeecg.modules.ctop.entity.ByteDanceCampaignTemplate;
import org.jeecg.modules.ctop.entity.CTopOauthToken;
import org.jeecg.modules.ctop.mapper.ByteDanceCampaignTemplateMapper;
import org.jeecg.modules.ctop.service.IByteDanceCampaignTemplateService;
import org.jeecg.modules.ctop.service.ICTopOauthTokenService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.HashMap;
import java.util.Map;

/**
 * @Description: 今日头条广告组模板信息
 * @Author: jeecg-boot
 * @Date: 2019-07-22
 * @Version: V1.0
 */
@Service
public class ByteDanceCampaignTemplateServiceImpl extends ServiceImpl<ByteDanceCampaignTemplateMapper, ByteDanceCampaignTemplate> implements IByteDanceCampaignTemplateService {

    @Override
    public Map<String, Object> insertTemplate(ByteDanceCampaignTemplate template) {
        Map<String, Object> resultMap = new HashMap<>();
        LoginUser user = (LoginUser) SecurityUtils.getSubject().getPrincipal();
        CTopOauthToken token = tokenService.getOAuthTokenByAccountId(user.getId());
        template.setAccountId(token.getAccountId());
        template.setAdvertiserId(token.getAdvertiserId());
        campaignTemplateMapper.insert(template);
        resultMap.put("success", true);
        resultMap.put("message", "模板保存成功");
        return resultMap;
    }

    @Autowired
    private ByteDanceCampaignTemplateMapper campaignTemplateMapper;
    @Autowired
    private ICTopOauthTokenService tokenService;
}
