package org.jeecg.modules.ctop.service.impl;

import org.apache.shiro.SecurityUtils;
import org.jeecg.common.system.vo.LoginUser;
import org.jeecg.modules.ctop.entity.BytedanceDeliveryTargetTemplate;
import org.jeecg.modules.ctop.entity.CTopOauthToken;
import org.jeecg.modules.ctop.mapper.BytedanceDeliveryTargetTemplateMapper;
import org.jeecg.modules.ctop.service.IBytedanceDeliveryTargetTemplateService;
import org.jeecg.modules.ctop.service.ICTopOauthTokenService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.HashMap;
import java.util.Map;

/**
 * @Description: 投放目标模板信息
 * @Author: jeecg-boot
 * @Date: 2019-07-23
 * @Version: V1.0
 */
@Service
public class BytedanceDeliveryTargetTemplateServiceImpl extends ServiceImpl<BytedanceDeliveryTargetTemplateMapper, BytedanceDeliveryTargetTemplate> implements IBytedanceDeliveryTargetTemplateService {

    @Override
    public Map<String, Object> insertTemplate(BytedanceDeliveryTargetTemplate template) {
        Map<String, Object> resultMap = new HashMap<>();
        LoginUser user = (LoginUser) SecurityUtils.getSubject().getPrincipal();
        CTopOauthToken token = tokenService.getOAuthTokenByAccountId(user.getId());
        template.setAccountId(token.getAccountId());
        template.setAdvertiserId(token.getAdvertiserId());
        template.setStatus(1);
        deliveryTargetTemplateMapper.insert(template);
        resultMap.put("success", true);
        resultMap.put("message", "投放目标模板保存成功");
        return resultMap;
    }

    @Autowired
    private ICTopOauthTokenService tokenService;
    @Autowired
    private BytedanceDeliveryTargetTemplateMapper deliveryTargetTemplateMapper;
}
