package org.jeecg.modules.kuaishou.service;


import cn.com.ctop.kuaishou.modules.material.entity.KuaishouResult;
import cn.com.ctop.kuaishou.modules.material.entity.KuaishouResultToken;
import cn.com.ctop.kuaishou.modules.report.entity.*;
import com.alibaba.fastjson.JSONObject;

import java.util.Map;

public interface IKuaishouInterfaceService {
    KuaishouResult<KuaishouReportHourlyAccount> getAccountHourlyReport(String accessToken, Long advertiserId, String startDate, String endDate, int pageSize, int pageNum);

    KuaishouResult<KuaishouReportDailyAccount> getAccountDailyReport(String accessToken, Long advertiserId, String startDate, String endDate, int pageSize, int pageNum);

    KuaishouResult<KuaishouReportDailyCampaign> getCampaignDailyReport(String accessToken, Long advertiserId, String startDate, String endDate, int pageSize, int pageNum);

    KuaishouResult<KuaishouReportHourlyCampaign> getCampaignHourlyReport(String accessToken, Long advertiserId, String startDate, String endDate, int pageSize, int pageNum);

    KuaishouResult<KuaishouReportDailyGroup> getGroupDailyReport(String accessToken, Long advertiserId, String startDate, String endDate, int pageSize, int pageNum);

    KuaishouResult<KuaishouReportHourlyGroup> getGroupHourlyReport(String accessToken, Long advertiserId, String startDate, String endDate, int pageSize, int pageNum);

    KuaishouResult<KuaishouReportDailyCreative> getCreativeDailyReport(String accessToken, Long advertiserId, String startDate, String endDate, int pageSize, int pageNum);

    KuaishouResult<KuaishouReportHourlyCreative> getCreativeHourlyReport(String accessToken, Long advertiserId, String startDate, String endDate, int pageSize, int pageNum);


    /**
     * 创建广告计划
     *
     * @param accessToken
     * @param advertiser_id
     * @param requestJson
     * @return
     */
    Map<String, Object> campaignCreate(String accessToken, Long advertiser_id, JSONObject requestJson);


    /**
     * 创建广告组
     *
     * @param accessToken
     * @param advertiser_id
     * @param requestJson
     * @return
     */
    Map<String, Object> adUnitCreate(String accessToken, Long advertiser_id, JSONObject requestJson);


    /**
     * 获取广告计划信息
     *
     * @param accessToken
     * @param advertiserId
     */
    void getCampaignList(String accessToken, Long advertiserId, Integer page);

    /**
     * 获取广告组信息
     *
     * @param accessToken
     * @param advertiserId
     * @param page
     */
    void getGroupList(String accessToken, Long advertiserId, Integer page);

    /**
     * 获取创意信息
     *
     * @param accessToken
     * @param advertiserId
     */
    void getCreativeList(String accessToken, Long advertiserId, Integer page);

    /**
     * 获取token
     * @param authCode
     * @return
     */
    KuaishouResultToken getAccessToken(String authCode);

    KuaishouResultToken getRefreshToken(String refreshToken);
}
